#ifndef __CHARSETS_DIALOG_H__
#define __CHARSETS_DIALOG_H__

class JuffPlugin;

#include <QDialog>

#include "ui_CharsetsDlg.h"

class CharsetsDlg : public QDialog {
Q_OBJECT
public:
	CharsetsDlg(JuffPlugin*, QWidget* parent = 0);

	QString currentCharset() const;

private slots:
	void filterChecked(bool);

private:
	void init();

	JuffPlugin* plugin_;
	Ui::CharsetsDlg ui;
};

#endif /* __CHARSET_DIALOG_H__ */
