# norootforbuild

%define fedora_version 10

%if 0%{?fedora_version} != 0
%define breq qt4-devel, qscintilla-devel
%define qmake /usr/bin/qmake-qt4
%define lrelease /usr/bin/lrelease-qt4
%endif  
%if 0%{?suse_version} != 0
%define breq libqt4-devel, libqscintilla-devel
%define qmake /usr/bin/qmake
%define lrelease /usr/bin/lrelease
%endif  
%if 0%{?mandriva_version} != 0
%define breq libqt4-devel, qt4-linguist, libqscintilla2-devel
%define qmake /usr/lib/qt4/bin/qmake
%define lrelease /usr/lib/qt4/bin/lrelease
%endif

Name:		juffed-plugins
Version:	0.5
Release:	1
License:	GPL
BuildRoot:	%{_tmppath}/%{name}-%{version}-build
Source:		%{name}-%{version}.tar.gz
Group:		Utility
Summary:	Plugins for juffed
BuildRequires:	gcc-c++, juffed-devel, %{breq}

%description
%{summary}

%prep
%setup -q

%build
%{qmake}
make

%install
%{__rm} -rf %{buildroot}
%{makeinstall} INSTALL_ROOT=%{buildroot}

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_datadir}/juffed/plugins/*


%changelog
* Thu Apr 07 2009 TI_Eugene <ti.eugene@gmail.com>
- Initial build
